# ecpr2
Erstatnings-CPR 2 service

## Installation

- Installer Maven
- Installer docker

## Kør projektet

```
mvn clean install -D maven.test.skip=true -e
```

```
docker-compose -f compose/development/docker-compose.yml up -d --build
```

## Kør integrationstests

```
mvn clean install -P=integrationstest
```


## Lombok compiler issue in InteliJ v2020+
Lombok has problems in new versions of IntelliJ. 
If the build output mentions that lombok is not supported on the current compiler, 
try adding `-Djps.track.ap.dependencies=false` to 
Intellij Settings -> Build, Execution, Deployment -> Compiler -> VM Options