set foreign_key_checks=0;
CREATE TABLE IF NOT EXISTS `ecpr2`.`Name` (
  `NamePID` int(11) NOT NULL AUTO_INCREMENT,
  `Uuid` varchar(45) NOT NULL,
  `PersonPID` int(11) NOT NULL,
  `ValidFrom` datetime NOT NULL,
  `ValidTo` datetime NOT NULL,
  `Use` varchar(45) NULL,
  `FamilyName` varchar(100) NULL,
  `GivenName` varchar(100) NULL,
  `Expiry` datetime NULL,
  `ModifiedTime` datetime NOT NULL,
  PRIMARY KEY (`NamePID`),
  KEY `Name_PersonPID_idx` (`PersonPID`),
  KEY `NameUuid_idx` (`Uuid`),
  CONSTRAINT `ContactInformationPdcPID1` FOREIGN KEY (`PersonPID`) REFERENCES `Person` (`PersonPID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
