CREATE TABLE IF NOT EXISTS sdm_krs_a.`Person` (
  `PersonPID` bigint(15) NOT NULL AUTO_INCREMENT,
  `CPR` varchar(10) NOT NULL,
  `Koen` varchar(1) NOT NULL,
  `Fornavn` varchar(60) NULL,
  `Mellemnavn` varchar(60) NULL,
  `Efternavn` varchar(60) NULL,
  `CoNavn` varchar(50) NULL,
  `Lokalitet` varchar(50) NULL,
  `Vejnavn` varchar(30) NULL,
  `Bygningsnummer` varchar(10) NULL,
  `Husnummer` varchar(10) NULL,
  `Etage` varchar(10) NULL,
  `SideDoerNummer` varchar(10) NULL,
  `Bynavn` varchar(34) NULL,
  `Postnummer` int(4) NULL,
  `PostDistrikt` varchar(30) NULL,
  `Status` char(2) NULL,
  `NavneBeskyttelseStartDato` datetime NULL,
  `NavneBeskyttelseSletteDato` datetime NULL,
  `GaeldendeCPR` varchar(10) NULL,
  `Foedselsdato` date NOT NULL,
  `Stilling` varchar(50) NULL,
  `VejKode` int(4) NULL,
  `KommuneKode` int(4) NULL,
  `ValidFrom` datetime NOT NULL,
  `ValidTo` datetime NOT NULL,
  `LastReplicated` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`PersonPID`),
  UNIQUE KEY `cprValidFrom` (`CPR`,`ValidFrom`),
  KEY `IDXPersonStatus` (`Status`),
  KEY `IDXCPRValidTo` (`CPR`,`ValidTo`),
  KEY `IDXPersonValidToFrom` (`ValidTo`,`ValidFrom`)
) ENGINE=InnoDB AUTO_INCREMENT=241520 DEFAULT CHARSET=utf8;
