set foreign_key_checks=0;
CREATE TABLE IF NOT EXISTS `ecpr2`.`Person` (
  `PersonPID` int(11) NOT NULL AUTO_INCREMENT,
  `ServiceActorPID` int(11) NOT NULL,
  `ModifierPID` int(11) NULL,
  `PersonUUID` varchar(45) NULL,
  `Version` int(11) NOT NULL,
  `Status` varchar(10) NULL,
  `ModifiedTime` datetime NOT NULL,
  `VersionDescription` varchar(80) NULL,
  `ReservedUntil` datetime NULL,
  PRIMARY KEY (`PersonPID`),
  UNIQUE KEY `PersonVersion` (`PersonUUID`,`Version`),
  KEY `PersonPID_idx` (`PersonPID`),
  KEY `PdcServiceActorPID` (`ServiceActorPID`),
  CONSTRAINT `PdcServiceActorPID` FOREIGN KEY (`ServiceActorPID`) REFERENCES `ServiceActor` (`ServiceActorPID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
