set foreign_key_checks=0;
CREATE TABLE IF NOT EXISTS `ecpr2`.`Contact` (
  `ContactPID` int(11) NOT NULL AUTO_INCREMENT ,
  `Uuid` varchar(45) NOT NULL,
  `PersonPID` int(11) NOT NULL,
  `ValidFrom` datetime NOT NULL,
  `ValidTo` datetime NOT NULL,
  `System` varchar(45) NULL,
  `Use` varchar(45) NULL,
  `Value` varchar(200) NULL,
  `Expiry` datetime NULL,
  `ModifiedTime` datetime NULL,
  PRIMARY KEY (`ContactPID`),
  KEY `Contact_PersonPID_idx` (`PersonPID`),
  KEY `ContactUuid_idx` (`Uuid`),
  CONSTRAINT `ContactInformationPdcPID0` FOREIGN KEY (`PersonPID`) REFERENCES `Person` (`PersonPID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
